Bug 51805 - Installer crashes/eth0 fails to initialize, seemingly dhcp related
Installer crashes/eth0 fails to initialize, seemingly dhcp related
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-15 09:15 EDT by hvasdo
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-28 12:59:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hvasdo 2001-08-15 09:15:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
When installing, the "pre-configuration" stage will hang when I am sending 
dhcp packets to eth0, regardless of wether I have either specified IP 
information or told it to use DHCP.  The only way I can get the installed 
to _not_ hang is to tell it to use DHCP, kill the dhcpd daemon on my BSD 
box, let it install, boot, and time out trying to bring up eth0.  If I let 
it install and then begin sending packets, the boot procedure hangs.  
Incidentally, I was able to get my Windows partition to determine its own 
IP from the same packets.

Also, I'm running on an Athlon 750Mhz, using a Linksys ethernet card.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install, request DHCP.
2.Send DHCP packets at varying times, crash occurs at either pre-
configuration or bootup.
3.
	

Actual Results:  Either installer or bootup p[rcedure hangs.

Expected Results:  Should have installed/eth0 should have been brought up 
sucesfully.

Additional info:
Comment 1 Elliot Lee 2001-12-28 15:38:46 EST
DHCP installs/bootups work for most of the rest of the world, so it's hard to
fix this bug without being able to reproduce it. If I'm misunderstanding the bug
and it's more involved than just attempting a DHCP install, please clarify.

Otherwise, I can only suggest attempting to install 7.2 in hopes that it has
some fixes (the hanging makes it almost sound like a kernel problem...)

Note You need to log in before you can comment on or make changes to this bug.